Bug 168177 - [NEW PORT] games/asteroids3d: First-person shooter blowing up asteroids in 3D space
Summary: [NEW PORT] games/asteroids3d: First-person shooter blowing up asteroids in 3D...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-20 20:30 UTC by nemysis
Modified: 2012-07-18 12:30 UTC (History)
0 users

See Also:


Attachments
.shar (3.55 KB, text/plain)
2012-05-20 20:30 UTC, nemysis
no flags Details
asteroids3d_128.png.base64 (3.54 KB, application/octet-stream)
2012-05-20 20:33 UTC, nemysis
no flags Details
asteroids3d_48.png.base64 (1.61 KB, application/octet-stream)
2012-05-20 20:33 UTC, nemysis
no flags Details
asteroids3d.shar (3.90 KB, application/x-shar)
2012-07-18 08:56 UTC, Guido Falsi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-05-20 20:30:01 UTC
A simple first person shooter of blowing up asteroids in 3D space.
The codebase also serves as an introduction to trigonometry and OpenGL.

WWW: http://sourceforge.net/projects/a3d/
     http://staff.psc.edu/smp/a3d/


Generated and tested manually, tested with port test and with RedPorts (all RELEASES), sent with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 nemysis 2012-05-20 20:33:47 UTC
Please add these images to Port that Makefile works good

Please recover original images with

base64 -d asteroids3d_128.png.base64 port/files/asteroids3d_128.png

base64 -d asteroids3d_48.png.base64 port/files/asteroids3d_48.png

Thanks
Comment 2 Guido Falsi freebsd_committer 2012-06-26 12:25:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 3 Guido Falsi freebsd_committer 2012-06-29 11:39:55 UTC
Where are the two png files originated from?

It would be more correct to make the port download them in distfiles if
they are available for download.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 4 Guido Falsi freebsd_committer 2012-07-03 15:56:12 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 5 Guido Falsi freebsd_committer 2012-07-18 08:56:01 UTC
Hi,

I modified your submission to download the png files from the FreeBSD
local mirror.

Can you please review the revised port and, if you agree, approve it for
committing?

Thank you.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 6 Guido Falsi freebsd_committer 2012-07-18 09:31:29 UTC
State Changed
From-To: feedback->open

Submitter approved via private email.
Comment 7 Guido Falsi freebsd_committer 2012-07-18 12:27:14 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 8 dfilter service freebsd_committer 2012-07-18 12:28:48 UTC
Author: madpilot
Date: Wed Jul 18 11:27:01 2012
New Revision: 301078
URL: http://svn.freebsd.org/changeset/ports/301078

Log:
  A simple first person shooter of blowing up asteroids in 3D space.
  The codebase also serves as an introduction to trigonometry and OpenGL.
  
  WWW: http://sourceforge.net/projects/a3d/
       http://staff.psc.edu/smp/a3d/
  
  PR:		ports/168177
  Submitted by:	nemysis@gmx.ch
  Approved by:	tabthorpe (mentor)

Added:
  head/games/asteroids3d/
  head/games/asteroids3d/Makefile   (contents, props changed)
  head/games/asteroids3d/distinfo   (contents, props changed)
  head/games/asteroids3d/files/
  head/games/asteroids3d/files/patch-src-texture.c   (contents, props changed)
  head/games/asteroids3d/pkg-descr   (contents, props changed)
Modified:
  head/games/Makefile

Modified: head/games/Makefile
==============================================================================
--- head/games/Makefile	Wed Jul 18 11:22:26 2012	(r301077)
+++ head/games/Makefile	Wed Jul 18 11:27:01 2012	(r301078)
@@ -48,6 +48,7 @@
     SUBDIR += asc
     SUBDIR += asciiquarium
     SUBDIR += assaultcube
+    SUBDIR += asteroids3d
     SUBDIR += atanks
     SUBDIR += atitd
     SUBDIR += atlantikdesigner

Added: head/games/asteroids3d/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/asteroids3d/Makefile	Wed Jul 18 11:27:01 2012	(r301078)
@@ -0,0 +1,62 @@
+# New Ports collection makefile for:	Asteroids3D
+# Date created:		2012-05-20
+# Whom:			nemysis@gmx.ch
+#
+# $FreeBSD$
+#
+
+PORTNAME=	asteroids3d
+PORTVERSION=	0.5.1
+CATEGORIES=	games
+MASTER_SITES=	SF/a3d/${PORTVERSION}/ \
+		LOCAL/madpilot/asteroids3d/:icons
+DISTNAME=	${PORTNAME:S/3d/3D/}-${DISTVERSION}
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} \
+		asteroids3d_icons.tbz:icons
+
+MAINTAINER=	nemysis@gmx.ch
+COMMENT=	First-person shooter blowing up asteroids in 3D space
+
+LICENSE=	GPLv2
+
+WRKSRC=		${WRKDIR}/${PORTNAME:S/3d/3D/}-${PORTVERSION}
+
+USE_BZIP2=	yes
+USE_AUTOTOOLS=	aclocal autoheader
+GNU_CONFIGURE=	yes
+CONFIGURE_ENV=	with_gamesdir="${PREFIX}/bin" with_gamedatadir="${DATADIR}"
+USE_GL=		glut glu
+MAKE_JOBS_SAFE=	yes
+
+CFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
+PLIST_FILES=	bin/${PORTNAME} \
+		share/pixmaps/${PORTNAME}_128.png \
+		share/pixmaps/${PORTNAME}_48.png
+
+PORTDATA=	*
+PORTDOCS=	README.html
+
+pre-configure:
+	@(cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} ./autogen.sh)
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|/bin/bash|/bin/sh|g' ${WRKSRC}/autogen.sh
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME:S/3d/3D/} ${PREFIX}/bin/${PORTNAME}
+# Pixmaps
+	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}*.png ${PREFIX}/share/pixmaps
+# Data
+.if !defined(NOPORTDATA)
+	${MKDIR} ${DATADIR}
+	@(cd ${WRKSRC}/src && ${COPYTREE_SHARE}  "*.ub *.ppm" ${DATADIR})
+.endif
+# Documentation
+.if !defined(NOPORTDOCS)
+	${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/README.html ${DOCSDIR}
+.endif
+
+.include <bsd.port.mk>

Added: head/games/asteroids3d/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/asteroids3d/distinfo	Wed Jul 18 11:27:01 2012	(r301078)
@@ -0,0 +1,4 @@
+SHA256 (asteroids3D-0.5.1.tar.bz2) = 68a07541198591c7a010324d870d120932c2dc015981f9197fe2268964a45087
+SIZE (asteroids3D-0.5.1.tar.bz2) = 584201
+SHA256 (asteroids3d_icons.tbz) = e8ed4bd8119e19b6cb423cd00c9b305490edd0e30600c227786f8cbd5bd442a9
+SIZE (asteroids3d_icons.tbz) = 4023

Added: head/games/asteroids3d/files/patch-src-texture.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/asteroids3d/files/patch-src-texture.c	Wed Jul 18 11:27:01 2012	(r301078)
@@ -0,0 +1,28 @@
+--- src/texture.c.orig	2008-04-06 16:37:29.000000000 +0200
++++ src/texture.c	2012-05-20 11:27:24.000000000 +0200
+@@ -99,19 +99,19 @@
+ static void average_RGBA_alpha_and_floor(unsigned char *image,
+     int x, int y, int flr)
+ {
+-	int ir, ig, ib, ia, i, new_alpha;
++	int ir, ig, ib, ia, i;
+ 
+ 	for (i = 0; i < x * y * 4; i += 4) {
+ 		ir = image[i];
+ 		ig = image[i+1];
+ 		ib = image[i+2];
+-		ia = image[i+3];
++		/* ia = image[i+3]; */
+ 
+-		new_alpha = (ir + ig + ib) / 3;
+-		if (new_alpha < flr)
+-			new_alpha = 0;
++		ia = (ir + ig + ib) / 3;
++		if (ia < flr)
++			ia = 0;
+ 
+-		image[i+3] = new_alpha;
++		image[i+3] = ia;
+ 	}
+ 
+ 	return;

Added: head/games/asteroids3d/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/asteroids3d/pkg-descr	Wed Jul 18 11:27:01 2012	(r301078)
@@ -0,0 +1,5 @@
+A simple first person shooter of blowing up asteroids in 3D space.
+The codebase also serves as an introduction to trigonometry and OpenGL.
+
+WWW: http://sourceforge.net/projects/a3d/
+     http://staff.psc.edu/smp/a3d/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"